Nimbu Developer Docs
ReferenceUploads

Sign a temporary direct upload

POST
/uploads/sign

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/uploads/sign" \  -H "Content-Type: application/json" \  -d '{    "filename": "string",    "purpose": "product_attachment"  }'
{
  "upload": {
    "method": "string",
    "url": "http://example.com",
    "headers": {},
    "expires_in": 0,
    "expires_at": "2019-08-24T14:15:22Z"
  },
  "file": {
    "__type": "FileRef",
    "source": "string"
  },
  "max_file_size": 0
}